# Class TCefV8AccessorOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFv8Accessor

## Declaration

`type TCefV8AccessorOwn = class(TCefBaseRefCountedOwn, ICefV8Accessor)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefV8AccessorOwn

## Overview

### Methods

| `function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean; virtual;`
| `function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean; virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `function Get(const name: ustring; const object_: ICefv8Value; var retval: ICefv8Value; var exception: ustring): Boolean; virtual;`
This item has no description. Showing description inherited from ICefV8Accessor.Get. Handle retrieval the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. If retrieval succeeds set |retval| to the return value. If retrieval fails set |exception| to the exception that will be thrown. Return true (1) if accessor retrieval was handled.

| `function Set_(const name: ustring; const object_, value: ICefv8Value; var exception: ustring): Boolean; virtual;`
This item has no description. Showing description inherited from ICefV8Accessor.Set_. Handle assignment of the accessor value identified by |name|. |object| is the receiver ('this' object) of the accessor. |value| is the new value being assigned to the accessor. If assignment fails set |exception| to the exception that will be thrown. Return true (1) if accessor assignment was handled.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.